> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.biblioreads.eu.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.biblioreads.eu.org/_mcp/server.

# quotes-slug

POST https://biblioreads.eu.org/api/quotes/slug
Content-Type: application/json

## Quotes Search

Scrapes quotes from a Goodreads quotes tag or slug page using a direct tag URL. Returns a collection of quotes associated with the specified tag or topic.

***

## Request

**Method:** `POST`\
**URL:** `{{Instance Domain}}/api/quotes/slug`

### Headers

| Key          | Value            | Description                        |
| ------------ | ---------------- | ---------------------------------- |
| Content-Type | application/json | Indicates the request body is JSON |

### Body

| Field    | Type   | Required | Description                                                                                         |
| -------- | ------ | -------- | --------------------------------------------------------------------------------------------------- |
| queryURL | string | Yes      | The full Goodreads quotes tag page URL to scrape (e.g. `https://www.goodreads.com/quotes/tag/love`) |

**Example Body:**

```json
{
  "queryURL": "https://www.goodreads.com/quotes/tag/love"
}
```

***

## Response

### 200 Success

Returns a JSON object containing quotes scraped from the specified tag page.

```json
{
  "status": "Received",
  "statusCode": 200,
  ...
}
```

### Response Field Descriptions

| Field      | Type   | Description                                                                    |
| ---------- | ------ | ------------------------------------------------------------------------------ |
| status     | string | Human-readable status message                                                  |
| statusCode | number | HTTP status code of the response                                               |
| tag        | string | The tag or slug used to filter quotes                                          |
| quotes     | array  | List of quotes from the tag page, each with quote text, author, and like count |

Reference: https://docs.biblioreads.eu.org/api-endpoints/quotes/quotes-slug

## Request

### Body (application/json)

- `queryURL` (string, required)

## Response

### 200

OK

- `status` (string, required)
- `source` (string, required)
- `scrapeURL` (string, required)
- `name` (string, required)
- `quotes` (list of object, required)
  - `id` (integer, required)
  - `imgURL` (string, required)
  - `img` (string, required)
  - `imgAlt` (string, required)
  - `text` (string, required)
  - `author` (string, required)
  - `book` (string, required)
  - `bookURL` (string, required)
  - `likes` (string, required)
- `popularTags` (list of object, required)
  - `id` (integer, required)
  - `url` (string, required)
  - `name` (string, required)
- `lastScraped` (datetime, required)

## Examples

**Request**

```json
{
  "queryURL": "https://www.goodreads.com/quotes/tag?id=Sad"
}
```

**Response**

```json
{
  "status": "Received",
  "source": "https://github.com/nesaku/biblioreads",
  "scrapeURL": "https://www.goodreads.com/quotes/tag?id=Sad",
  "name": "Sad Quotes",
  "quotes": [
    {
      "id": 1,
      "imgURL": "/author/show/12898.Stephen_Chbosky",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1599132962i/12898._UX200_CR0,25,200,200_.jpg",
      "imgAlt": "Stephen Chbosky",
      "text": "\n      “So, this is my life. And I want you to know that I am both happy and sad and I'm still trying to figure out how that could be.”\n    \n ",
      "author": "\n    Stephen Chbosky,\n  ",
      "book": "The Perks of Being a Wallflower",
      "bookURL": "/work/quotes/2236198",
      "likes": "23023 likes"
    },
    {
      "id": 2,
      "imgURL": "/author/show/2697.Henry_Wadsworth_Longfellow",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1211861766i/2697._CR0,25,200,200_.jpg",
      "imgAlt": "Henry Wadsworth Longfellow",
      "text": "\n      “Every man has his secret sorrows which the world knows not; and often times we call a man cold when he is only sad.”\n    \n ",
      "author": "\n    Henry Wadsworth Longfellow\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "12194 likes"
    },
    {
      "id": 3,
      "imgURL": "/author/show/2345.Nicholas_Sparks",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1709219853i/2345._UX200_CR0,50,200,200_.jpg",
      "imgAlt": "Nicholas Sparks",
      "text": "\n      “The reason it hurts so much to separate is because our souls are connected.”\n    \n ",
      "author": "\n    Nicholas Sparks\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "4450 likes"
    },
    {
      "id": 4,
      "imgURL": "/author/show/11466.Markus_Zusak",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1537240528i/11466._UY200_CR43,0,200,200_.jpg",
      "imgAlt": "Markus Zusak",
      "text": "\n      “He does something to me, that boy. Every time. It’s his only detriment. He steps on my heart. He makes me cry.”\n    \n ",
      "author": "\n    Markus Zusak,\n  ",
      "book": "The Book Thief",
      "bookURL": "/work/quotes/878368",
      "likes": "4200 likes"
    },
    {
      "id": 5,
      "imgURL": "/author/show/2929.Nick_Hornby",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1422915487i/2929._UX200_CR0,24,200,200_.jpg",
      "imgAlt": "Nick Hornby",
      "text": "\n      “People worry about kids playing with guns, and teenagers watching violent videos; we are scared that some sort of culture of violence will take them over. Nobody worries about kids listening to thousands - literally thousands - of songs about broken hearts and rejection and pain and misery and loss.”\n    \n ",
      "author": "\n    Nick Hornby,\n  ",
      "book": "High Fidelity",
      "bookURL": "/work/quotes/2961887",
      "likes": "3481 likes"
    },
    {
      "id": 6,
      "imgURL": "/author/show/1069006.C_S_Lewis",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1564671804i/1069006._UX200_CR0,44,200,200_.jpg",
      "imgAlt": "C.S. Lewis",
      "text": "\n      “I have learned now that while those who speak about one's miseries usually hurt, those who keep silence hurt more.”\n    \n ",
      "author": "\n    C. S. Lewis\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "3457 likes"
    },
    {
      "id": 7,
      "imgURL": "/author/show/12898.Stephen_Chbosky",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1599132962i/12898._UX200_CR0,25,200,200_.jpg",
      "imgAlt": "Stephen Chbosky",
      "text": "\n      “I am both happy and sad at the same time, and I'm still trying to figure out how that could be.”\n    \n ",
      "author": "\n    Stephen Chbosky,\n  ",
      "book": "The Perks of Being a Wallflower",
      "bookURL": "/work/quotes/2236198",
      "likes": "2684 likes"
    },
    {
      "id": 8,
      "imgURL": "/author/show/2633.Nicole_Krauss",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1285130428i/2633._UX200_CR0,33,200,200_.jpg",
      "imgAlt": "Nicole Krauss",
      "text": "\n      “there are two types of people in the world: those who prefer to be sad among others, and those who prefer to be sad alone.”\n    \n ",
      "author": "\n    Nicole Krauss,\n  ",
      "book": "The History of Love",
      "bookURL": "/work/quotes/1882970",
      "likes": "2682 likes"
    },
    {
      "id": 9,
      "imgURL": "/author/show/2798990.E_A_Bucchianeri",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1517071693i/2798990._UX200_CR0,11,200,200_.jpg",
      "imgAlt": "E.A. Bucchianeri",
      "text": "\n      “So it’s true, when all is said and done, grief is the price we pay for love.”\n    \n ",
      "author": "\n    E.A. Bucchianeri,\n  ",
      "book": "Brushstrokes of a Gadfly",
      "bookURL": "/work/quotes/16351434",
      "likes": "2552 likes"
    },
    {
      "id": 10,
      "imgURL": "/author/show/10994.Blaise_Pascal",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1397937717i/10994._UY200_CR57,0,200,200_.jpg",
      "imgAlt": "Blaise Pascal",
      "text": "\n      “All of humanity's problems stem from man's inability to sit quietly in a room alone.”\n    \n ",
      "author": "\n    Blaise Pascal,\n  ",
      "book": "Pensées",
      "bookURL": "/work/quotes/3102980",
      "likes": "2372 likes"
    },
    {
      "id": 11,
      "imgURL": "/author/show/3058.Augusten_Burroughs",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1459810857i/3058._UX200_CR0,50,200,200_.jpg",
      "imgAlt": "Augusten Burroughs",
      "text": "\n      “I'm lonely. And I'm lonely in some horribly deep way and for a flash of an instant, I can see just how lonely, and how deep this feeling runs. And it scares the shit out of me to be this lonely because it seems catastrophic.”\n    \n ",
      "author": "\n    Augusten Burroughs,\n  ",
      "book": "Dry",
      "bookURL": "/work/quotes/1825967",
      "likes": "2340 likes"
    },
    {
      "id": 12,
      "imgURL": "/author/show/1406384.John_Green",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1777281990i/1406384._UX200_CR0,49,200,200_.jpg",
      "imgAlt": "John  Green",
      "text": "\n      “I'll fight it. I'll fight it for you. Don't you worry about me, Hazel Grace. I'm okay. I'll find a way to hang around and annoy you for a long time.”\n    \n ",
      "author": "\n    John Green,\n  ",
      "book": "The Fault in Our Stars",
      "bookURL": "/work/quotes/16827462",
      "likes": "1815 likes"
    },
    {
      "id": 13,
      "imgURL": "/author/show/1330292.Maggie_Stiefvater",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1749412055i/1330292._UX200_CR0,49,200,200_.jpg",
      "imgAlt": "Maggie Stiefvater",
      "text": "\n      “You're like a song that I heard when I was a little kid but forgot I knew until I heard it again.”\n    \n ",
      "author": "\n    Maggie Stiefvater,\n  ",
      "book": "Lament: The Faerie Queen's Deception",
      "bookURL": "/work/quotes/3144132",
      "likes": "1562 likes"
    },
    {
      "id": 14,
      "imgURL": "/author/show/209672.Charles_M_Schulz",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1198590750i/209672._UY200_CR51,0,200,200_.jpg",
      "imgAlt": "Charles M. Schulz",
      "text": "\n      “This is my depressed stance. When you're depressed, it makes a lot of difference how you stand. The worst thing you can do is straighten up and hold your head high because then you'll start to feel better. If you're going to get any joy out of being depressed, you've got to stand like this.”\n    \n ",
      "author": "\n    Charles M. Schulz\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "1522 likes"
    },
    {
      "id": 15,
      "imgURL": "/author/show/569.Khaled_Hosseini",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1359753468i/569._UX200_CR0,31,200,200_.jpg",
      "imgAlt": "Khaled Hosseini",
      "text": "\n      “Learn this now and learn it well. Like a compass facing north, a man’s accusing finger always finds a woman. Always. You remember that, Mariam.”\n    \n ",
      "author": "\n    Khaled Hosseini,\n  ",
      "book": "A Thousand Splendid Suns",
      "bookURL": "/work/quotes/3271379",
      "likes": "1489 likes"
    },
    {
      "id": 16,
      "imgURL": "/author/show/15321.Confucius",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1407613261i/15321._UX200_CR0,0,200,200_.jpg",
      "imgAlt": "Confucius",
      "text": "\n      “The funniest people are the saddest ones”\n    \n ",
      "author": "\n    Confucius\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "1417 likes"
    },
    {
      "id": 17,
      "imgURL": "/author/show/40593.Gabrielle_Zevin",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1503541462i/40593._UX200_CR0,50,200,200_.jpg",
      "imgAlt": "Gabrielle Zevin",
      "text": "\n      “Someday, we’ll run into each other again, I know it.Maybe I’ll be older and smarter and just plain better. If that happens,that’s when I’ll deserve you. But now, at this moment, you can’t hook your boat to mine, because I’m liable to sink us both.”\n    \n ",
      "author": "\n    Gabrielle Zevin,\n  ",
      "book": "Memoirs of a Teenage Amnesiac",
      "bookURL": "/work/quotes/308098",
      "likes": "1245 likes"
    },
    {
      "id": 18,
      "imgURL": "/author/show/2987125.Kiera_Cass",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1318605410i/2987125._UX200_CR0,8,200,200_.jpg",
      "imgAlt": "Kiera Cass",
      "text": "\n      “You’ve changed me forever. And I’ll never forget you.”\n    \n ",
      "author": "\n    Kiera Cass,\n  ",
      "book": "The Elite",
      "bookURL": "/work/quotes/20397129",
      "likes": "1159 likes"
    },
    {
      "id": 19,
      "imgURL": "/author/show/4342215.Marie_Lu",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1285032806i/4342215._UX200_CR0,55,200,200_.jpg",
      "imgAlt": "Marie Lu",
      "text": "\n      “Forever and ever, kid, until you're sick and tired of seeing me.”\n    \n ",
      "author": "\n    Marie Lu,\n  ",
      "book": "Legend",
      "bookURL": "/work/quotes/14157512",
      "likes": "1062 likes"
    },
    {
      "id": 20,
      "imgURL": "/author/show/266461.Robert_Goolrick",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1535043609i/266461._UY200_CR50,0,200,200_.jpg",
      "imgAlt": "Robert Goolrick",
      "text": "\n      “If you don't receive love from the ones who are meant to love you, you will never stop looking for it.”\n    \n ",
      "author": "\n    Robert Goolrick,\n  ",
      "book": "The End of the World as We Know It: Scenes from a Life",
      "bookURL": "/work/quotes/464637",
      "likes": "1052 likes"
    },
    {
      "id": 21,
      "imgURL": "/author/show/348878.James_Dashner",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1473791260i/348878._UX200_CR0,52,200,200_.jpg",
      "imgAlt": "James Dashner",
      "text": "\n      “i felt her absence. it was like waking up one day with no teeth in your mouth. you wouldn't need to run to the mirror to know they were gone”\n    \n ",
      "author": "\n    James Dashner,\n  ",
      "book": "The Scorch Trials",
      "bookURL": "/work/quotes/6574198",
      "likes": "1049 likes"
    },
    {
      "id": 22,
      "imgURL": "/author/show/6765.Virginia_Woolf",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1419596619i/6765._UX200_CR0,36,200,200_.jpg",
      "imgAlt": "Virginia Woolf",
      "text": "\n      “Melancholy were the sounds on a winter's night.”\n    \n ",
      "author": "\n    Virginia Woolf,\n  ",
      "book": "Jacob's Room",
      "bookURL": "/work/quotes/3272732",
      "likes": "998 likes"
    },
    {
      "id": 23,
      "imgURL": "/author/show/137902.Richelle_Mead",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1270374609i/137902._UX200_CR0,39,200,200_.jpg",
      "imgAlt": "Richelle Mead",
      "text": "\n      “If I let myself love you, I won't throw myself in front of her. I'll throw myself in front of you.”\n    \n ",
      "author": "\n    Richelle Mead,\n  ",
      "book": "Vampire Academy",
      "bookURL": "/work/quotes/335933",
      "likes": "966 likes"
    },
    {
      "id": 24,
      "imgURL": "/author/show/16288605.Ranata_Suzuki",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1530880785i/16288605._UY200_CR0,0,200,200_.jpg",
      "imgAlt": "Ranata Suzuki",
      "text": "\n      “Your memory feels like home to me.So whenever my mind wanders, it always finds it’s way back to you.”\n    \n ",
      "author": "\n    Ranata Suzuki\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "952 likes"
    },
    {
      "id": 25,
      "imgURL": "imgURL",
      "img": "img",
      "imgAlt": "imgAlt",
      "text": "\n      “you're an expert at sorry and keeping the lines blurry”\n    \n ",
      "author": "\n    Taylor Swift\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "875 likes"
    },
    {
      "id": 26,
      "imgURL": "/author/show/16288605.Ranata_Suzuki",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1530880785i/16288605._UY200_CR0,0,200,200_.jpg",
      "imgAlt": "Ranata Suzuki",
      "text": "\n      “…the sad part is, that I will probably end up loving you without you for much longer than I loved you when I knew you.Some people might find that strange.But the truth of it is that the amount of love you feel for someone and the impact they have on you as a person, is in no way relative to the amount of time you have known them.”\n    \n ",
      "author": "\n    Ranata Suzuki\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "837 likes"
    },
    {
      "id": 27,
      "imgURL": "/author/show/16288605.Ranata_Suzuki",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1530880785i/16288605._UY200_CR0,0,200,200_.jpg",
      "imgAlt": "Ranata Suzuki",
      "text": "\n      “There is an ocean of silence between us… and I am drowning in it.”\n    \n ",
      "author": "\n    Ranata Suzuki\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "809 likes"
    },
    {
      "id": 28,
      "imgURL": "/author/show/201872.Sara_Evans",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1591742907i/201872._UX200_CR0,43,200,200_.jpg",
      "imgAlt": "Sara Evans",
      "text": "\n      “Even on my weakest daysI get a little bit stronger”\n    \n ",
      "author": "\n    Sara Evans\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "781 likes"
    },
    {
      "id": 29,
      "imgURL": "/author/show/2889003.Nina_LaCour",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1653619948i/2889003._UX200_CR0,33,200,200_.jpg",
      "imgAlt": "Nina LaCour",
      "text": "\n      “My room is so quiet and empty it hurts.”\n    \n ",
      "author": "\n    Nina LaCour,\n  ",
      "book": "Hold Still",
      "bookURL": "/work/quotes/6561348",
      "likes": "761 likes"
    },
    {
      "id": 30,
      "imgURL": "/author/show/13661.Victor_Hugo",
      "img": "https://i.gr-assets.com/images/S/compressed.photo.goodreads.com/authors/1415946858i/13661._UX200_CR0,20,200,200_.jpg",
      "imgAlt": "Victor Hugo",
      "text": "\n      “Melancholy is the happiness of being sad.”\n    \n ",
      "author": "\n    Victor Hugo\n  ",
      "book": "",
      "bookURL": "bookURL",
      "likes": "691 likes"
    }
  ],
  "popularTags": [
    {
      "id": 1,
      "url": "/quotes/tag/love",
      "name": "\n              Love Quotes\n"
    },
    {
      "id": 2,
      "url": "/quotes/tag/life",
      "name": "\n              Life Quotes\n"
    },
    {
      "id": 3,
      "url": "/quotes/tag/inspirational",
      "name": "\n              Inspirational Quotes\n"
    },
    {
      "id": 4,
      "url": "/quotes/tag/humor",
      "name": "\n              Humor Quotes\n"
    },
    {
      "id": 5,
      "url": "/quotes/tag/philosophy",
      "name": "\n              Philosophy Quotes\n"
    },
    {
      "id": 6,
      "url": "/quotes/tag/inspirational-quotes",
      "name": "\n              Inspirational Quotes Quotes\n"
    },
    {
      "id": 7,
      "url": "/quotes/tag/god",
      "name": "\n              God Quotes\n"
    },
    {
      "id": 8,
      "url": "/quotes/tag/wisdom",
      "name": "\n              Wisdom Quotes\n"
    },
    {
      "id": 9,
      "url": "/quotes/tag/truth",
      "name": "\n              Truth Quotes\n"
    },
    {
      "id": 10,
      "url": "/quotes/tag/romance",
      "name": "\n              Romance Quotes\n"
    },
    {
      "id": 11,
      "url": "/quotes/tag/poetry",
      "name": "\n              Poetry Quotes\n"
    },
    {
      "id": 12,
      "url": "/quotes/tag/life-lessons",
      "name": "\n              Life Lessons Quotes\n"
    },
    {
      "id": 13,
      "url": "/quotes/tag/quotes",
      "name": "\n              Quotes Quotes\n"
    },
    {
      "id": 14,
      "url": "/quotes/tag/death",
      "name": "\n              Death Quotes\n"
    },
    {
      "id": 15,
      "url": "/quotes/tag/happiness",
      "name": "\n              Happiness Quotes\n"
    },
    {
      "id": 16,
      "url": "/quotes/tag/hope",
      "name": "\n              Hope Quotes\n"
    },
    {
      "id": 17,
      "url": "/quotes/tag/faith",
      "name": "\n              Faith Quotes\n"
    },
    {
      "id": 18,
      "url": "/quotes/tag/inspiration",
      "name": "\n              Inspiration Quotes\n"
    },
    {
      "id": 19,
      "url": "/quotes/tag/spirituality",
      "name": "\n              Spirituality Quotes\n"
    },
    {
      "id": 20,
      "url": "/quotes/tag/motivational",
      "name": "\n              Motivational Quotes\n"
    },
    {
      "id": 21,
      "url": "/quotes/tag/relationships",
      "name": "\n              Relationships Quotes\n"
    },
    {
      "id": 22,
      "url": "/quotes/tag/religion",
      "name": "\n              Religion Quotes\n"
    },
    {
      "id": 23,
      "url": "/quotes/tag/life-quotes",
      "name": "\n              Life Quotes Quotes\n"
    },
    {
      "id": 24,
      "url": "/quotes/tag/writing",
      "name": "\n              Writing Quotes\n"
    },
    {
      "id": 25,
      "url": "/quotes/tag/love-quotes",
      "name": "\n              Love Quotes Quotes\n"
    },
    {
      "id": 26,
      "url": "/quotes/tag/success",
      "name": "\n              Success Quotes\n"
    },
    {
      "id": 27,
      "url": "/quotes/tag/motivation",
      "name": "\n              Motivation Quotes\n"
    },
    {
      "id": 28,
      "url": "/quotes/tag/time",
      "name": "\n              Time Quotes\n"
    },
    {
      "id": 29,
      "url": "/quotes/tag/science",
      "name": "\n              Science Quotes\n"
    },
    {
      "id": 30,
      "url": "/quotes/tag/motivational-quotes",
      "name": "\n              Motivational Quotes Quotes\n"
    }
  ],
  "lastScraped": "2026-06-15T00:42:55Z"
}
```

**SDK Code**

```python
import requests

url = "https://biblioreads.eu.org/api/quotes/slug"

payload = { "queryURL": "https://www.goodreads.com/quotes/tag?id=Sad" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://biblioreads.eu.org/api/quotes/slug';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"queryURL":"https://www.goodreads.com/quotes/tag?id=Sad"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://biblioreads.eu.org/api/quotes/slug"

	payload := strings.NewReader("{\n  \"queryURL\": \"https://www.goodreads.com/quotes/tag?id=Sad\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://biblioreads.eu.org/api/quotes/slug")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"queryURL\": \"https://www.goodreads.com/quotes/tag?id=Sad\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://biblioreads.eu.org/api/quotes/slug")
  .header("Content-Type", "application/json")
  .body("{\n  \"queryURL\": \"https://www.goodreads.com/quotes/tag?id=Sad\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://biblioreads.eu.org/api/quotes/slug', [
  'body' => '{
  "queryURL": "https://www.goodreads.com/quotes/tag?id=Sad"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://biblioreads.eu.org/api/quotes/slug");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"queryURL\": \"https://www.goodreads.com/quotes/tag?id=Sad\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["queryURL": "https://www.goodreads.com/quotes/tag?id=Sad"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://biblioreads.eu.org/api/quotes/slug")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```